UIEventImpl (Xerces2 Implementation)
Date: 2024-01-12

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.dom.events
Class UIEventImpl

    java.lang.Object
      org.apache.xerces.dom.events.EventImpl
          org.apache.xerces.dom.events.UIEventImpl

All Implemented Interfaces:
  org.w3c.dom.events.Event, org.w3c.dom.events.UIEvent

Direct Known Subclasses:
  MouseEventImpl

    public class UIEventImpl

extends EventImpl
implements org.w3c.dom.events.UIEvent

An implementation of the DOM Level 2 `UIEvent` interface.

Version:
  $Id: UIEventImpl.java 533574 2007-04-30 00:29:47Z mrglavas $

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Field Summary

Fields inherited from class org.apache.xerces.dom.events.EventImpl
`bubbles, cancelable, currentTarget, eventPhase, initialized, preventDefault, stopPropagation, target, timeStamp, type`

Fields inherited from interface org.w3c.dom.events.Event
`AT_TARGET, BUBBLING_PHASE, CAPTURING_PHASE`

Constructor Summary
`UIEventImpl()`

Method Summary
`int` | `getDetail()`
`org.w3c.dom.views.AbstractView` | `getView()`
`void` | `initUIEvent(java.lang.String typeArg, boolean canBubbleArg, boolean cancelableArg, org.w3c.dom.views.AbstractView viewArg, int detailArg)`

Methods inherited from class org.apache.xerces.dom.events.EventImpl
`getBubbles, getCancelable, getCurrentTarget, getEventPhase, getTarget, getTimeStamp, getType, initEvent, preventDefault, stopPropagation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.events.Event
`getBubbles, getCancelable, getCurrentTarget, getEventPhase, getTarget, getTimeStamp, getType, initEvent, preventDefault, stopPropagation`

Constructor Detail

### UIEventImpl

    public UIEventImpl()

Method Detail

### getView

    public org.w3c.dom.views.AbstractView getView()

  Specified by:
    `getView` in interface `org.w3c.dom.events.UIEvent`

### getDetail

    public int getDetail()

  Specified by:
    `getDetail` in interface `org.w3c.dom.events.UIEvent`

### initUIEvent

    public void initUIEvent(java.lang.String typeArg,
                            boolean canBubbleArg,
                            boolean cancelableArg,
                            org.w3c.dom.views.AbstractView viewArg,
                            int detailArg)

  Specified by:
    `initUIEvent` in interface `org.w3c.dom.events.UIEvent`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.